# FireExtinguisher


![Image](https://i.imgur.com/buuPQel.png)

Update of peladors mod
https://steamcommunity.com/sharedfiles/filedetails/?id=2002292418

- Added the patch for Simple Sidearms
- Pawns incapable of violence should now be able to use the extinguisher (unless Simple Sidearms is loaded)
- Added french translation, thanks qux!

![Image](https://i.imgur.com/pufA0kM.png)

	
![Image](https://i.imgur.com/Z4GOv8H.png)


# Overview
 V1.1

Adds a useful pawn firefighting tool.

# Details


Requires Fire Extinguisher (FE) research (own tab). Made at Machining table with a recipe of: 50 steel and 2 Components.

The FE has a mod option to use foam that will degrade over time and also has some cleaning properties acting as an active detergent to remove filth. (Note the foam will still be identified for cleaning itself if in an applicable cleaning zone).

Includes a dedicated shelf (found in Misc tab on the architect menu) for use. Requires 10 stuff of either metal or stone and will only allow the FE to be stored in this location.

(Please see brief demo/tutorial video above.)

# Mod Notes


Since the mechanics of the fire extinguisher is a "gun" it cannot be used by pacifist pawns, though funnily enough this can be used by pyromaniacs. 

Classified as a manufactured item.

Works with existing saves and should be mod friendly. To remove the mod you will have to remove all occurrences of the mod items.

When changing the values in the mod options you will need to restart Rimworld in order for the changes to take effect.

# Fire Foam Belt


A fire foam belt is included with the mod that will trigger if the wearer or the belt itself is set on fire. Similarly it can be manually triggered if in close proximity to a fire. (Available to be made at the Machining table after fire foam research).

# Expansion
 *** Subject to conversion ***

https://steamcommunity.com/sharedfiles/filedetails/?id=2197425463]Fire Warden - AI behaviour for tackling fires with the extinguisher.

https://steamcommunity.com/sharedfiles/filedetails/?id=2007567373]Simple Sidearms Temporary Fix - Ensures that the FE is not selected during combat.

# Credits


1) Similar idea to previous authors of similar mods in earlier game versions.
2) Razzoriel: Heads up regarding removal of camera shake effect.
3) SheiFoxy and Rainbeau Flambe: Reverse engineered a mod of theirs to understand mod options method.

# *** Converting from V1.0 to V1.1 ***
 IMPORTANT

Note if converting from V1.0 to V1.1 and you haven't flushed your config data for the mod then you will receive an error.

Instructions below how to remove the mod options file for V1.0 FE.

(CC BY-NC-SA 4.0)


![Image](https://i.imgur.com/PwoNOj4.png)



-  See if the the error persists if you just have this mod and its requirements active.
-  If not, try adding your other mods until it happens again.
-  Post your error-log using https://steamcommunity.com/workshop/filedetails/?id=818773962]HugsLib and command Ctrl+F12
-  For best support, please use the Discord-channel for error-reporting.
-  Do not report errors by making a discussion-thread, I get no notification of that.
-  If you have the solution for a problem, please post it to the GitHub repository.



